# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::VHFilterHAAR1 Class Reference

Class to do Haar wavelet filtering operations with a single shift per level.

`#include <wavelet_utils.h>`

Inheritance diagram for dirac::VHFilterHAAR1:

List of all members.

## Public Member Functions

- void Split (const int xp, const int yp, const int xl, const int yl, CoeffArray &coeff_data)
    Split a subband into 4.
- void Synth (const int xp, const int yp, const int xl, const int yl, CoeffArray &coeff_data)
    Create a single band from 4 quadrant bands.
- int GetShift () const
    Return the value of the additional bitshift.

## Member Function Documentation

int dirac::VHFilterHAAR1::GetShift | ( |  | ) | const`[inline, virtual]`

Implements dirac::VHFilter.

void dirac::VHFilterHAAR1::Split | ( | const int | xp,
|  | const int | yp,
|  | const int | xl,
|  | const int | yl,
|  | CoeffArray & | coeff_data |
| ) |  |  | `[virtual]`

Implements dirac::VHFilter.

void dirac::VHFilterHAAR1::Synth | ( | const int | xp,
|  | const int | yp,
|  | const int | xl,
|  | const int | yl,
|  | CoeffArray & | coeff_data |
| ) |  |  | `[virtual]`

Implements dirac::VHFilter.

The documentation for this class was generated from the following file:

- wavelet_utils.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.